summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorfelixonmars <felixonmars@9fca08f4-af9d-4005-b8df-a31f2cc04f65>2019-11-24 15:48:12 +0000
committerfelixonmars <felixonmars@9fca08f4-af9d-4005-b8df-a31f2cc04f65>2019-11-24 15:48:12 +0000
commit189ea6a52bef1ee4fe66b394da3d62dbd682f031 (patch)
treee8092530e2cb467264c849c3d23e06bf580e5a04
parent507366e5c65f953ec726d836b95fef9c838112dc (diff)
archrelease: copy trunk to community-staging-x86_64
git-svn-id: file:///srv/repos/svn-community/svn@533066 9fca08f4-af9d-4005-b8df-a31f2cc04f65
-rw-r--r--pandoc-citeproc/repos/community-staging-x86_64/PKGBUILD57
1 files changed, 57 insertions, 0 deletions
diff --git a/pandoc-citeproc/repos/community-staging-x86_64/PKGBUILD b/pandoc-citeproc/repos/community-staging-x86_64/PKGBUILD
new file mode 100644
index 00000000000..987bebc7c1c
--- /dev/null
+++ b/pandoc-citeproc/repos/community-staging-x86_64/PKGBUILD
@@ -0,0 +1,57 @@
+# Maintainer: Felix Yan <felixonmars@archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell@haskell.org>
+
+pkgname=pandoc-citeproc
+pkgver=0.16.2
+pkgrel=145
+pkgdesc="Supports using pandoc with citeproc"
+url="https://hackage.haskell.org/package/$pkgname"
+license=("BSD")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-aeson' 'haskell-aeson-pretty' 'haskell-attoparsec'
+ 'haskell-base-compat' 'haskell-data-default' 'haskell-hs-bibutils' 'haskell-libyaml'
+ 'haskell-network' 'haskell-old-locale' 'pandoc' 'haskell-pandoc-types' 'haskell-rfc5051'
+ 'haskell-safe' 'haskell-setenv' 'haskell-split' 'haskell-syb' 'haskell-tagsoup'
+ 'haskell-temporary' 'haskell-text-icu' 'haskell-unordered-containers' 'haskell-vector'
+ 'haskell-xml-conduit' 'haskell-yaml')
+conflicts=('haskell-pandoc-citeproc')
+replaces=('haskell-pandoc-citeproc')
+makedepends=('ghc')
+source=("https://hackage.haskell.org/packages/archive/$pkgname/${pkgver}/$pkgname-${pkgver}.tar.gz")
+sha512sums=('90c3fabe3e1478f43b0157580deb691e5be8d3064144cbf4d67ab8f15bfd99c51b3e811b47bbe4fefc76c4efe660007ab05a782e5a5df01cd42965fe22e5c664')
+
+prepare() {
+ cd "${srcdir}/$pkgname-${pkgver}"
+ # TODO: find a better solution
+ sed -i "s|(\"HOME\",\".\")|(\"HOME\",\".\"),(\"LD_LIBRARY_PATH\",\"$PWD/dist/build\"),(\"pandoc_citeproc_datadir\",\"$PWD\")|" tests/test-pandoc-citeproc.hs
+}
+
+build() {
+ cd "${srcdir}/$pkgname-${pkgver}"
+
+ runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+ --prefix=/usr --docdir="/usr/share/doc/$pkgname" --datasubdir="$pkgname" --enable-tests \
+ --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
+ -f-debug -f-test_citeproc -funicode_collation -f-embed_data_files -fbibutils -f-static
+ runhaskell Setup build
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+ cd $pkgname-$pkgver
+ # https://github.com/jgm/pandoc-citeproc/issues/342
+ runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+ cd "${srcdir}/$pkgname-${pkgver}"
+
+ install -D -m744 register.sh "${pkgdir}/usr/share/haskell/register/$pkgname.sh"
+ install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/$pkgname.sh"
+ runhaskell Setup copy --destdir="${pkgdir}"
+ install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/$pkgname/LICENSE"
+ rm -f "${pkgdir}/usr/share/doc/$pkgname/LICENSE"
+}